### Summary

Provide a general description of the code changes in your pull request... were there any bugs you had fixed? If so, mention them. If these bugs have open GitHub issues, be sure to tag them here as well, to keep the conversation linked together.

### Other Information

If there's anything else that's important and relevant to your pull
request, mention that information here. This could include
benchmarks, or other information.

If you are updating any of the CHANGELOG files or are asked to update the
CHANGELOG files by reviewers, please add the CHANGELOG entry at the top of the file.

Finally, if your pull request affects documentation or any non-code
changes, guidelines for those changes are [available
here](http://edgeguides.rubyonrails.org/contributing_to_ruby_on_rails.html#contributing-to-the-rails-documentation)

Thanks for contributing to Rails!

### Description of the Change

We must be able to understand the design of your change from this description. We need can get a good idea of what the code will be doing from the description here. Keep in mind that the maintainer reviewing this PR may not be familiar with or have worked with the code here recently, so please walk us through the concepts.

### Benefits

What benefits will be realized by the code change?

### Possible Drawbacks

What are the possible side-effects or negative impacts of the code change?

### Verification Process

What process did you follow to verify that your change has the desired effects?

- How did you verify that all new functionality works as expected?
- How did you verify that all changed functionality works as expected?
- How did you verify that the change has not introduced any regressions?

Describe the devices you tested on (e.g., Arduino Uno Rev 3, Arduino Leonardo, sensor HC-SC04, etc.), and describe the results you observed.

### Applicable Issues

Enter any applicable Issues here
